%global pypiname pluggy

%define _debug_source %nil
%define debug_package %nil

# Turn the tests off when bootstrapping Python, because pytest requires pluggy
%bcond_with tests

Name:           python-pluggy
Version:        0.13.1
Release:        %mkrel 1
Summary:        plugin and hook calling mechanisms for python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pluggy
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(funcsigs)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
The plugin manager stripped of pytest specific details.

%package -n python3-%{pypiname}
Summary:  The plugin manager stripped of pytest specific details
Group:    Development/Python
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{pypiname}
The plugin manager stripped of pytest specific details.

%prep
%autosetup -p1 -n %{pypiname}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
export PYTHONPATH=.:$PYTHONPATH
py.test-%{python3_version} testing
%endif

%files -n python3-%{pypiname}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypiname}
%{python3_sitelib}/%{pypiname}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 18 2020 akien <akien> 0.13.1-1.mga8
+ Revision: 1557637
- Version 0.13.1

* Sun Feb 16 2020 umeabot <umeabot> 0.12.0-4.mga8
+ Revision: 1534942
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.12.0-3.mga8
+ Revision: 1450247
- Use importlib.metadata from stdlib on Python 3.8

* Thu Sep 05 2019 wally <wally> 0.12.0-2.mga8
+ Revision: 1437588
- rebuild for python3.8
- drop python2 support from .spec

* Sat Aug 03 2019 kekepower <kekepower> 0.12.0-1.mga8
+ Revision: 1427179
- Update to version 0.12.0
- Drop Python 2 support

* Fri Apr 19 2019 kekepower <kekepower> 0.9.0-1.mga7
+ Revision: 1393430
- Update to version 0.9.0

* Sat Jan 05 2019 wally <wally> 0.8.0-3.mga7
+ Revision: 1349634
- rebuild for python3.7 without tests

* Tue Jan 01 2019 wally <wally> 0.8.0-2.mga7
+ Revision: 1347999
- build with tests

* Tue Jan 01 2019 wally <wally> 0.8.0-1.mga7
+ Revision: 1347965
- build without tests
+ luigiwalser <luigiwalser>
- 0.8.0
- update source URL

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1289673
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 0.6.0-2.mga7
+ Revision: 1220632
- BR python-funcsigs
- Update BR syntax
- Use python_provide

* Tue Jan 02 2018 guillomovitch <guillomovitch> 0.6.0-1.mga7
+ Revision: 1189337
- new version 0.6.0

* Sat Aug 05 2017 pterjan <pterjan> 0.3.1-6.mga7
+ Revision: 1135546
- Rebuild for python 3.6

* Sun May 15 2016 ngompa <ngompa> 0.3.1-5.mga6
+ Revision: 1015687
- imported package python-pluggy

